Redeliver a webhook delivery
POST
Queue a past webhook delivery to be sent again. The delivery's endpoint must still be active. Requires the coding:webhooks:redeliver scope.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
delivery_id*stringFormat
uuidcustomer_id?|nullRequest fulfilled, document follows
application/json- response
delivery*curl -X POST 'https://api.syndai.ai/api/v1/external/coding/webhook-deliveries/497f6eca-6276-4993-bfeb-53cbbbba6f08/redeliver'Example Response
{ "delivery": { "attempts": 0, "coding_run_id": "2eb06abe-ea21-479f-8a58-08d8b870bcfb", "created_at": "2019-08-24T14:15:22Z", "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e", "delivered_at": "2019-08-24T14:15:22Z", "delivery_kind": "event", "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c", "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7", "event_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_error": "string", "next_retry_at": "2019-08-24T14:15:22Z", "response_body_excerpt": "string", "response_status": 0, "status": "pending", "target_url": "string", "updated_at": "2019-08-24T14:15:22Z" }}